Summary: a simple pygtk+2 programm for finding pathes in metro maps
Name: metromap
Version: 0.1.1
Release: alt1
Source0: %name-%version.tar.bz2
License: GPL
Group: Office
Url: http://metromap.antex.ru/
BuildArch: noarch

Requires: python = %__python_version
Requires: %name-map-Moscow = %version

# Automatically added by buildreq on Tue Jun 21 2005
BuildRequires: python-base python-modules-encodings 

# added by hands
BuildRequires: python-devel >= %__python_version 

%description
A simple pygtk+2 programm for finding pathes in metro(subway) maps.


%package map-Moscow
Summary: metro map for Moscow 
Group: Office
Requires: %name = %version

%description map-Moscow
metro map for Moscow

%package map-Peterburg
Summary: metro map for Peterburg
Group: Office
Requires: %name = %version

%description map-Peterburg
metro map for Peterburg

%package map-London
Summary: metro map for London
Group: Office
Requires: %name = %version

%description map-London
metro map for London


%package map-Berlin
Summary: metro map for Berlin
Group: Office
Requires: %name = %version

%description map-Berlin
metro map for Berlin


%package map-Kiev
Summary: metro map for Kiev
Group: Office
Requires: %name = %version

%description map-Kiev
metro map for Kiev


%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages

%prep
%setup -q
%__rm -f modules/MapDisplayGC.py*
%__rm -rf tests

%build
make install DESTDIR=%buildroot%_prefix
%find_lang %{name}



# Menu                                                                          
%__mkdir -p %buildroot%_menudir                                           
%__cat << EOF > %buildroot%_menudir/%name
?package(%name):\ 
needs="x11"\
section="Applications/Accessibility"\ 
title="metromap"\
longtitle="simple pygtk+2 programm for finding pathes in metro maps"\
command="%name"\ 
EOF

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%_bindir/*
%dir %_datadir/%{name}
%dir %_datadir/%{name}/data
%_datadir/%{name}/modules/*
%_menudir/%name
%doc doc/AUTHORS doc/NEWS doc/README doc/README.data doc/TODO

%files map-Moscow
%_datadir/%{name}/data/Moscow

%files map-Peterburg
%_datadir/%{name}/data/Peterburg

%files map-London
%_datadir/%{name}/data/London

%files map-Berlin
%_datadir/%{name}/data/Berlin

%files map-Kiev
%_datadir/%{name}/data/KievUkr


%changelog
* Sun Aug 14 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.1.1-alt1
- new version

* Sun Jun 19 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.0.9-alt1
- initial build for Sisyphus.

